Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 575232 (glibc-sysmacros) - [TRACKER] packages missing sys/sysmacros.h includes
Summary: [TRACKER] packages missing sys/sysmacros.h includes
Status: CONFIRMED
Alias: glibc-sysmacros
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL: https://sourceware.org/ml/libc-alpha/...
Whiteboard:
Keywords: Tracker
: 575206 (view as bug list)
Depends on: 627946 644738 690426 575970 577946 579858 579910 579916 579920 579922 579924 579928 579946 579960 579982 579988 580012 580014 580022 580042 580044 580046 580052 580056 580058 580060 580062 580082 580088 580098 580136 580140 580172 580180 580184 580192 580196 580200 580204 580206 580214 580222 580228 580230 580234 580236 580244 580258 580288 580290 580292 580296 580326 580330 580338 580342 580360 580364 580372 580386 580390 580392 580454 580494 580500 580514 580534 580554 580592 580594 580646 580702 580768 580804 580816 580848 580852 580910 580916 580922 580924 580950 581020 581080 581130 581138 581714 581740 581974 586506 588328 602222 603000 603010 603018 603138 603182 603202 603304 603326 603332 603566 604118 604228 604230 604296 604360 604364 604406 604430 604442 604478 604480 604608 604614 604828 605662 605744 607376 610652 610998 611418 612128 612132 612658 612850 613422 614948 616508 616510 616758 617082 617192 617628 624818 625986 628734 629906 631062 634140 634590 635048 638746 650178
Blocks: glibc-2.26
  Show dependency tree
 
Reported: 2016-02-20 17:55 UTC by jospezial
Modified: 2019-08-23 15:45 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,81.54 KB, text/plain)
2016-02-20 17:58 UTC, jospezial
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jospezial 2016-02-20 17:55:39 UTC
make[2]: Entering directory '/var/tmp/portage/gnome-base/gvfs-1.26.3/work/gvfs-1.26.3/metadata'
gdbus-codegen                           \
        --interface-prefix org.gtk.vfs.                 \
        --c-namespace GVfs                              \
        --generate-c-code metadata-dbus                 \
        ./dbus-interface.xml                    \

make  all-am
make[3]: Entering directory '/var/tmp/portage/gnome-base/gvfs-1.26.3/work/gvfs-1.26.3/metadata'
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I.. -I../common -I/usr/include/libxml2 -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DGVFS_LOCALEDIR=\""/usr/share/locale"\" -DG_LOG_DOMAIN=\"GVFS\" -DDBUS_API_SUBJECT_TO_CHANGE   -march=native -O2 -pipe -c -o metatree.lo metatree.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../common -I/usr/include/libxml2 -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DGVFS_LOCALEDIR=\"/usr/share/locale\" -DG_LOG_DOMAIN=\"GVFS\" -DDBUS_API_SUBJECT_TO_CHANGE -march=native -O2 -pipe -c metatree.c  -fPIC -DPIC -o .libs/metatree.o
metatree.c: In function ‘get_tree_for_device’:
metatree.c:2854:55: warning: implicit declaration of function ‘major’ [-Wimplicit-function-declaration]
                                                       major (device),
                                                       ^
metatree.c:2855:55: warning: implicit declaration of function ‘minor’ [-Wimplicit-function-declaration]
                                                       minor (device),
                                                       ^
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I.. -I../common -I/usr/include/libxml2 -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DGVFS_LOCALEDIR=\""/usr/share/locale"\" -DG_LOG_DOMAIN=\"GVFS\" -DDBUS_API_SUBJECT_TO_CHANGE   -march=native -O2 -pipe -c -o metabuilder.lo metabuilder.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../common -I/usr/include/libxml2 -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DGVFS_LOCALEDIR=\"/usr/share/locale\" -DG_LOG_DOMAIN=\"GVFS\" -DDBUS_API_SUBJECT_TO_CHANGE -march=native -O2 -pipe -c metabuilder.c  -fPIC -DPIC -o .libs/metabuilder.o
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I.. -I../common -I/usr/include/libxml2 -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DGVFS_LOCALEDIR=\""/usr/share/locale"\" -DG_LOG_DOMAIN=\"GVFS\" -DDBUS_API_SUBJECT_TO_CHANGE   -march=native -O2 -pipe -c -o crc32.lo crc32.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../common -I/usr/include/libxml2 -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DGVFS_LOCALEDIR=\"/usr/share/locale\" -DG_LOG_DOMAIN=\"GVFS\" -DDBUS_API_SUBJECT_TO_CHANGE -march=native -O2 -pipe -c crc32.c  -fPIC -DPIC -o .libs/crc32.o
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I.. -I../common -I/usr/include/libxml2 -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DGVFS_LOCALEDIR=\""/usr/share/locale"\" -DG_LOG_DOMAIN=\"GVFS\" -DDBUS_API_SUBJECT_TO_CHANGE   -march=native -O2 -pipe -c -o metadata-dbus.lo metadata-dbus.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../common -I/usr/include/libxml2 -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DGVFS_LOCALEDIR=\"/usr/share/locale\" -DG_LOG_DOMAIN=\"GVFS\" -DDBUS_API_SUBJECT_TO_CHANGE -march=native -O2 -pipe -c metadata-dbus.c  -fPIC -DPIC -o .libs/metadata-dbus.o
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -march=native -O2 -pipe  -Wl,-O1 -Wl,--as-needed -o libmetadata.la  metatree.lo metabuilder.lo crc32.lo metadata-dbus.lo  -lgmodule-2.0 -pthread -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lutil
libtool: link: x86_64-pc-linux-gnu-ar cru .libs/libmetadata.a .libs/metatree.o .libs/metabuilder.o .libs/crc32.o .libs/metadata-dbus.o 
libtool: link: x86_64-pc-linux-gnu-ranlib .libs/libmetadata.a
libtool: link: ( cd ".libs" && rm -f "libmetadata.la" && ln -s "../libmetadata.la" "libmetadata.la" )
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I.. -I../common -I/usr/include/libxml2 -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DGVFS_LOCALEDIR=\""/usr/share/locale"\" -DG_LOG_DOMAIN=\"GVFS\" -DDBUS_API_SUBJECT_TO_CHANGE   -march=native -O2 -pipe -c -o meta-daemon.o meta-daemon.c
meta-daemon.c: In function ‘handle_get_tree_from_device’:
meta-daemon.c:307:18: warning: implicit declaration of function ‘makedev’ [-Wimplicit-function-declaration]
   dev_t devnum = makedev (arg_major, arg_minor);
                  ^
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -march=native -O2 -pipe  -Wl,-O1 -Wl,--as-needed -o gvfsd-metadata meta-daemon.o libmetadata.la ../common/libgvfscommon.la -ludev -lutil
libtool: link: x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -Wl,-O1 -o .libs/gvfsd-metadata meta-daemon.o  -Wl,--as-needed ./.libs/libmetadata.a ../common/.libs/libgvfscommon.so -lgmodule-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -ludev -lutil -pthread -Wl,-rpath -Wl,/usr/lib64/gvfs
meta-daemon.o: In function `handle_get_tree_from_device':
meta-daemon.c:(.text+0xa7): undefined reference to `makedev'
./.libs/libmetadata.a(metatree.o): In function `meta_lookup_cache_lookup_path':
metatree.c:(.text+0x3cd8): undefined reference to `minor'
metatree.c:(.text+0x3ce5): undefined reference to `major'
collect2: error: ld returned 1 exit status
Makefile:637: recipe for target 'gvfsd-metadata' failed
make[3]: *** [gvfsd-metadata] Error 1
make[3]: Leaving directory '/var/tmp/portage/gnome-base/gvfs-1.26.3/work/gvfs-1.26.3/metadata'
Makefile:526: recipe for target 'all' failed
make[2]: *** [all] Error 2
make[2]: Leaving directory '/var/tmp/portage/gnome-base/gvfs-1.26.3/work/gvfs-1.26.3/metadata'
Makefile:527: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/gnome-base/gvfs-1.26.3/work/gvfs-1.26.3'
Makefile:459: recipe for target 'all' failed
make: *** [all] Error 2
 * ERROR: gnome-base/gvfs-1.26.3::gentoo failed (compile phase):
 *   emake failed
 *
Comment 1 jospezial 2016-02-20 17:58:04 UTC
Created attachment 426000 [details]
build.log
Comment 2 Pacho Ramos gentoo-dev 2016-02-20 18:37:23 UTC
please provide your emerge --info, I cannot reproduce this
Comment 3 jospezial 2016-02-21 00:46:46 UTC
emerge --info gvfs
Portage 2.2.27 (python 3.4.3-final-0, default/linux/amd64/13.0, gcc-5.3.0, glibc-2.23, 4.5.0-rc4 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.5.0-rc4-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-2.2
KiB Mem:     4047112 total,   2402408 free
KiB Swap:   11010040 total,  11010040 free
Timestamp of repository gentoo: Sat, 20 Feb 2016 17:15:01 +0000
Timestamp of repository poly-c: Fri, 19 Feb 2016 22:29:01 +0000
sh bash 4.3_p42-r2
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
ccache version 3.2.4 [enabled]
app-shells/bash:          4.3_p42-r2::gentoo                                                                                           
dev-java/java-config:     2.2.0-r2::gentoo                                                                                             
dev-lang/perl:            5.22.1::gentoo                                                                                               
dev-lang/python:          2.7.11-r2::gentoo, 3.4.3-r7::gentoo, 3.5.1-r2::gentoo                                                        
dev-util/ccache:          3.2.4::gentoo                                                                                                
dev-util/cmake:           3.5.0_rc3::poly-c                                                                                            
dev-util/pkgconfig:       0.29::gentoo                                                                                                 
sys-apps/baselayout:      2.2::gentoo                                                                                                  
sys-apps/openrc:          0.20.5::gentoo                                                                                               
sys-apps/sandbox:         2.10-r1::gentoo                                                                                              
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo                                                                                
sys-devel/automake:       1.11.6-r2::gentoo, 1.12.6-r1::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo                  
sys-devel/binutils:       2.25.1-r1::gentoo                                                                                            
sys-devel/gcc:            5.3.0::gentoo                                                                                                
sys-devel/gcc-config:     1.8-r1::gentoo                                                                                               
sys-devel/libtool:        2.4.6-r2::gentoo                                                                                             
sys-devel/make:           4.1-r1::gentoo                                                                                               
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)                                                                             
sys-libs/glibc:           2.23::gentoo                                                                                                 
Repositories:                                                                                                                          
                                                                                                                                       
gentoo                                                                                                                                 
    location: /usr/portage                                                                                                             
    sync-type: rsync                                                                                                                   
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage                                                                               
    priority: -1000                                                                                                                    
                                                                                                                                       
overlay_jl
    location: /usr/local/portage
    masters: gentoo
    priority: 0

betagarden
    location: /var/lib/layman/betagarden
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/betagarden.git
    masters: gentoo
    priority: 50

gamerlay
    location: /var/lib/layman/gamerlay
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/gamerlay.git
    masters: gentoo
    priority: 50

games-overlay
    location: /var/lib/layman/games-overlay
    sync-type: laymansync
    sync-uri: git://github.com/hasufell/games-overlay.git
    masters: gentoo
    priority: 50

kde
    location: /var/lib/layman/kde
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/kde.git
    masters: gentoo
    priority: 50

libressl
    location: /var/lib/layman/libressl
    sync-type: laymansync
    sync-uri: https://github.com/gentoo/libressl.git
    masters: gentoo
    priority: 50

poly-c
    location: /var/lib/layman/poly-c
    sync-type: laymansync
    sync-uri: rsync://gentoofan.no-ip.org/poly-c
    masters: gentoo
    priority: 50

qt
    location: /var/lib/layman/qt
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/qt.git
    masters: gentoo
    priority: 50

x11
    location: /var/lib/layman/x11
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/x11
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask-write=y --keep-going --quiet-build=y --verbose-conflicts"
FCFLAGS="-march=native -O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="3dnowext 64bit X Xaw3d a52 aac aacplus aacs aalib accessibility ace acl acpi activefilter aes aften alsa amd64 ap apm apng archive arping audacious audiofile automount bazaar bdplus berkdb binary-drivers bluetooth bluray boost bzip2 bzr cairo canusb ccache cdda cddb cdio cdparanoia cdr cdrdao cdrom cgi charconv chm chroot cjk clang cli client colordiff colors compress consolekit corefonts cpio cracklib crypt css cue cups curl curlwrappers cvs cxx d3d9 daemon dbus declarative device-mapper dga dhcp doom doomsday dos download-subs dri dri3 drm dts dump dv dvb dvd dvdnav eap eap-sim eap-tls ebook egl emerald emoticon encode enscript equalizer evdev exif extensions extras faac faad fam farstream fat fax fbcon fdformat ffmpeg fftw firefox flac fluidsynth fontconfig foomaticdb fortran freedoom ftp fuse g3dvl gadu gallium gbm gd gdbm geoip gif gimp git glamor gles2 glut gme gnutls gpg gphoto2 gpm graphite gsm gstreamer gtk gtk2 gtk3 gtkstyle gui gzip hddtemp hdf hdf5 heretic hexen hid highlight hpcups hpijs http hwdb iconv icq icu id3tag idn imagemagick inotify introspection ipc ipod ipv6 jack java javascript jit jpeg jpeg2k kate kdenlive keymap ladspa lame lcms legacy-systray lensfun libass libcanberra libinput libkms libnotify libressl librtmp libsamplerate libssh2 libtiger libv4l libwww live llvm-shared-libs lm_sensors logrotate lua lz4 lzma lzo mad madwifi magic man matroska md5sum meanwhile melt mercurial metalink midi mikmod mime minizip mixer mjpeg mmap mms mmx mmxext mng mobi mod modplug modules mono mouse mozilla mp3 mp4 mpeg mpeg2 mplayer mtp multilib multimedia multislot musepack musicbrainz nano-syntax ncat ncurses ndiff network nfs nfsidmap nfsv4 nfsv41 nls nmap-update nokia normalize nowlistening nping nptl nsplugin ntfs ntfsprogs ntp nvidia nvram obex ocr ogg ogm openal opencl opengl openh264 openmax openmp oscar osdmenu otr p2p pam pango panorama parport parse-clocks pcap pci pcre pcre16 pdf pipes plugins pm-utils png policykit postproc postscript ppds printsupport privacy projectm pulseaudio pvr python python3 qalculate qml qt5 quicktime r600-llvm-compiler radio rar raw rdesktop readline recording redeyes reiser4 reiserfs remote-access replaygain rpm rtc rtmp rtsp rubberband s3tc sbsms scanner schroedinger scripttools sdl seccomp secure-delete sensord session sftp sha512 shorten shout skins slang smi sndfile snowberry sockets sound soundtouch sox speex spell sql sqlite sqlite3 squashfs sse sse2 ssh ssl startup-notification statistics stk stream subtitles subversion svg swat symlink sync-plugin-portage syslog system-jsoncpp szip taglib tcpd texteffect tftp tftpd theora threads thumbnail tiff timidity tk tracepath traceroute track-src-odirect translator truetype twolame udev udf udisks unicode upower urlpicpreview usb v4l v4l2 vaapi vamp vcd vdpau video videos virtualbox vlm vnc vorbis vpx vroot vst wad wav wavpack webgl webkit webm webp webpresence widgets wifi winbind winpopup wmf wps wxwidgets x264 x265 xa xattr xcb xcomposite xfs xine xinerama xinetd xkb xml xmp xorg xosd xpm xrandr xscreensaver xv xvid xvmc yahoo zenmap zip zlib zvbi" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 ssse3" CURL_SSL="libressl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev keyboard mouse joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4 python3_5" RUBY_TARGETS="ruby20 ruby21 ruby21 ruby22 ruby23" USERLAND="GNU" VIDEO_CARDS="fbdev vesa svga vga radeon modesetting r100 r200 r300 r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

gnome-base/gvfs-1.26.2-r1::gentoo was built with the following:
USE="archive bluray cdda fuse gphoto2 gtk http mtp nfs udev udisks -afp -gnome-keyring -gnome-online-accounts -google -ios -samba -systemd -test -zeroconf" ABI_X86="64"

joerg@jlgentoo ~ $ emerge -pv1 gvfs

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] gnome-base/gvfs-1.26.3::gentoo [1.26.2-r1::gentoo] USE="archive bluray cdda fuse gphoto2 gtk http mtp nfs udev udisks -afp -gnome-keyring -gnome-online-accounts -google -ios -samba -systemd {-test} -zeroconf" 0 KiB

Total: 1 package (1 upgrade), Size of downloads: 0 KiB
Comment 4 jospezial 2016-02-21 10:55:37 UTC
same error when I try to rebuild gnome-base/gvfs-1.26.2-r1

So it must be some dependence that does not work fair.

Any idea? I could try to rebuild them all.


 * dependency graph for gnome-base/gvfs-1.26.2-r1
 `--  gnome-base/gvfs-1.26.2-r1  ~amd64 
   `--  app-crypt/gcr-3.18.0  (app-crypt/gcr) ~amd64 
   `--  dev-libs/glib-2.46.2-r1  (>=dev-libs/glib-2.45.7) ~amd64 
   `--  sys-apps/dbus-1.10.6  (sys-apps/dbus) ~amd64 
   `--  dev-libs/libxml2-2.9.3  (dev-libs/libxml2) ~amd64 
   `--  net-misc/openssh-7.1_p2-r1  (net-misc/openssh) ~amd64 
   `--  dev-libs/libgcrypt-1.6.5  (>=dev-libs/libgcrypt-1.2.2) ~amd64 
   `--  app-arch/libarchive-3.1.2-r3  (app-arch/libarchive) ~amd64 
   `--  media-libs/libbluray-0.9.2  (media-libs/libbluray) ~amd64 
   `--  sys-fs/fuse-2.9.5  (>=sys-fs/fuse-2.8.0) ~amd64 
   `--  app-crypt/libsecret-0.18.4  (app-crypt/libsecret) ~amd64 
   `--  net-libs/gnome-online-accounts-3.18.4  (>=net-libs/gnome-online-accounts-3.7.1) ~amd64 
   `--  dev-libs/libgdata-0.17.4-r1  (>=dev-libs/libgdata-0.17.3) ~amd64  [crypt gnome-online-accounts]
   `--  media-libs/libgphoto2-2.5.9  (>=media-libs/libgphoto2-2.4.7) ~amd64 
   `--  x11-libs/gtk+-3.18.7  (>=x11-libs/gtk+-3.0) ~amd64 
   `--  net-libs/libsoup-2.52.2  (>=net-libs/libsoup-2.42) ~amd64 
   `--  app-pda/libimobiledevice-1.2.0  (>=app-pda/libimobiledevice-1.1.5) ~amd64 
   `--  app-pda/libplist-1.12  (>=app-pda/libplist-1) ~amd64 
   `--  media-libs/libmtp-1.1.11  (>=media-libs/libmtp-1.1.6) ~amd64 
   `--  net-fs/libnfs-1.9.7  (>=net-fs/libnfs-1.9.7) amd64 
   `--  net-fs/samba-3.6.25  (>=net-fs/samba-3.4.6) amd64  [smbclient]
   `--  net-fs/samba-4.2.8  (>=net-fs/samba-4) ~amd64  [client]
   `--  sys-apps/systemd-228-r1  (sys-apps/systemd) ~amd64 
   `--  dev-libs/libcdio-paranoia-0.93_p1  (dev-libs/libcdio-paranoia) ~amd64 
   `--  virtual/libgudev-230  (virtual/libgudev) ~amd64 
   `--  virtual/libudev-215-r1  (virtual/libudev) amd64 
   `--  sys-fs/udisks-2.1.6  (>=sys-fs/udisks-1.97) ~amd64 
   `--  net-dns/avahi-0.6.32  (>=net-dns/avahi-0.6) ~amd64 
   `--  app-text/docbook-xsl-stylesheets-1.79.1  (app-text/docbook-xsl-stylesheets) ~amd64 
   `--  dev-libs/libxslt-1.1.28-r5  (dev-libs/libxslt) ~amd64 
   `--  dev-util/intltool-0.51.0-r1  (>=dev-util/intltool-0.40) ~amd64 
   `--  virtual/pkgconfig-0-r1  (virtual/pkgconfig) amd64 
   `--  dev-util/gdbus-codegen-2.46.2  (dev-util/gdbus-codegen) ~amd64 
   `--  dev-util/gtk-doc-am-1.24  (dev-util/gtk-doc-am) amd64 
   `--  dev-python/twisted-core-15.2.1  (>=dev-python/twisted-core-12.3.0) ~amd64 
   `--  net-analyzer/netcat-110-r9  (net-analyzer/netcat) amd64 
   `--  net-analyzer/netcat6-1.0-r2  (net-analyzer/netcat6) amd64 
   `--  sys-devel/automake-1.15-r2  (>=sys-devel/automake-1.15) ~amd64 
   `--  sys-devel/autoconf-2.69-r1  (>=sys-devel/autoconf-2.69) ~amd64 
   `--  sys-devel/libtool-2.4.6-r2  (>=sys-devel/libtool-2.4) ~amd64 
   `--  app-arch/xz-utils-5.2.2  (app-arch/xz-utils) ~amd64 
   `--  sys-apps/sed-4.2.2  (>=sys-apps/sed-4) ~amd64 
   `--  dev-util/desktop-file-utils-0.22  (dev-util/desktop-file-utils) amd64 
   `--  x11-misc/shared-mime-info-1.5  (x11-misc/shared-mime-info) ~amd64 
[ gnome-base/gvfs-1.26.2-r1 stats: packages (44), max depth (1) ]
Comment 5 Pacho Ramos gentoo-dev 2016-02-21 10:58:53 UTC
It is probably related with gcc5... but I don't know much about how to handle it :S
Comment 6 Manuel Lauss 2016-02-21 11:34:34 UTC
I'm getting these build errors (missing major and minor) on a few other packages as well (wine, firefox). I don't think it's gcc-5 related, I'm leaning towards glibc.
Comment 7 iGentoo 2016-02-21 11:42:59 UTC
set GLIBC_PATCH_EXCLUDE=00_all_0009-sys-types.h-drop-sys-sysmacros.h-include.patch

and remerge sys-libs/glibc-2.23


Dropping sysmacros.h is not a good idea.


The following packages may fail due to missing define makedev() / major() / minor() 

...
app-emulation/libvirt:0
app-emulation/qemu:0
app-emulation/wine:0
dev-libs/weston:0
gnome-base/gvfs:0
media-libs/mesa:0
net-fs/nfs-utils:0
net-libs/webkit-gtk:4
net-misc/spice-gtk:0
sys-apps/coreutils:0
sys-apps/findutils:0
sys-apps/hdparm:0
sys-apps/systemd:0
sys-apps/util-linux:0
sys-block/parted:0
sys-boot/grub:2
sys-fs/e2fsprogs:0
sys-fs/ext4magic:0
sys-fs/ntfs3g:0
sys-fs/squashfs-tools:0
sys-fs/udisks:2
sys-process/numactl:0
sys-process/psmisc:0
www-client/firefox:0
x11-base/xorg-server:0
x11-libs/libdrm:0
x11-wm/mutter:0
...
Comment 8 Manuel Lauss 2016-02-21 11:47:06 UTC
(In reply to iGentoo from comment #7)


I was about to post the same, you beat me to it.   The idea behind the patch
is sane, it's just it may take a few months until all packages have been fixed and this is obviously the easiest workaround.
Comment 9 Pacho Ramos gentoo-dev 2016-02-21 12:20:18 UTC
*** Bug 575206 has been marked as a duplicate of this bug. ***
Comment 10 jospezial 2016-02-21 12:35:43 UTC
(In reply to iGentoo from comment #7)
> set
> GLIBC_PATCH_EXCLUDE=00_all_0009-sys-types.h-drop-sys-sysmacros.h-include.
> patch
> 
> and remerge sys-libs/glibc-2.23
> 
> 
> Dropping sysmacros.h is not a good idea.
> 

workaround works for gvfs.

Or should #include <sys/sysmacros.h> be added to the failing packages?
Comment 11 SpanKY gentoo-dev 2016-02-21 17:52:12 UTC
the point of that patch is to get packages to fix their sources to include sys/sysmacros.h directly.  please file one bug for every package that fails as they need to be fixed, not glibc.
Comment 12 Mike Lothian 2016-02-22 10:23:57 UTC
I'm looking to get the libdrm, mesa & xorg-server patches upstream
Comment 13 Mike Lothian 2016-02-22 22:42:27 UTC
A bit of a discussion has broken out on the freedesktop bugzilla

https://bugs.freedesktop.org/show_bug.cgi?id=94231
Comment 14 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-02-25 05:25:20 UTC
(In reply to Mike Lothian from comment #13)
> A bit of a discussion has broken out on the freedesktop bugzilla
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=94231

Yeah, and it pretty much matches my point. As long as 'man major' doesn't mention the header at all, this is full uncoordinated nonsense and I will strongly oppose any effort to bring this into ~arch. Not to mention FreeBSD and Solaris manpages mention <sys/types.h> (and <sys/mkdev.h> on the latter) only.

So, as I see it, this is some shiny change of standard practice without appropriate documentation changes, made to supposedly comply with some other systems whose documentation doesn't mention that header either, and that's can make applications less portable for the sake of doing so.
Comment 15 Ryan Hill (RETIRED) gentoo-dev 2016-03-01 03:30:59 UTC
Is this patch in glibc or are we smoke testing?  ie. should we be pushing this to upstreams yet?
Comment 16 Alec Ari 2016-03-28 16:37:24 UTC
https://sourceware.org/ml/libc-alpha/2015-12/msg00597.html

>i'm just going to drop it in Gentoo and let people fix the build failures

LOL, definitely smoke testing!
Comment 17 Mike Gilbert gentoo-dev 2016-04-14 01:23:02 UTC
(In reply to SpanKY from comment #11)
> the point of that patch is to get packages to fix their sources to include
> sys/sysmacros.h directly.  please file one bug for every package that fails
> as they need to be fixed, not glibc.

Why did you release this to ~arch with a package known to fail (bug 575970)?

Please fix it.
Comment 18 SpanKY gentoo-dev 2016-04-14 02:54:53 UTC
(In reply to Mike Gilbert from comment #17)

feel free to work on fixing it
Comment 19 SpanKY gentoo-dev 2016-04-14 13:59:02 UTC
for people fixing this issue w/autoconf, there's a macro for this already:
  AC_HEADER_MAJOR
https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Particular-Headers.html

that will set up MAJOR_IN_SYSMACROS if the sys/sysmacros.h include is needed.  otherwise, people will have to use whatever probe mechanisms their build system allows.  this header appears to be specific to Linux C libraries at this time.
Comment 20 David Kredba 2016-04-14 17:29:34 UTC
x11-base/xorg-server-1.18.3 is affected too in a few files.
Comment 21 SpanKY gentoo-dev 2016-04-14 17:37:06 UTC
(In reply to David Kredba from comment #20)

this is a tracker bug; it's not for reporting issues.  please file new bugs.
Comment 22 Johannes Huber gentoo-dev 2016-04-15 16:03:18 UTC
"The package.mask file can be used to hard mask packages or certain versions of packages that should not be merged by users. This is often used when adding certain experimental (either in ebuild or upstream terms) packages to the tree, or to prevent merging of packages that are broken or break something else."

https://devmanual.gentoo.org/profiles/package.mask/index.html
Comment 23 SpanKY gentoo-dev 2016-04-16 02:34:40 UTC
(In reply to Johannes Huber from comment #22)

no idea why you're posting here
Comment 24 Johannes Huber gentoo-dev 2016-04-16 10:47:59 UTC
(In reply to SpanKY from comment #23)
> (In reply to Johannes Huber from comment #22)
> 
> no idea why you're posting here

Because somebody forgot the rules how introduce major breakage.
Comment 25 Leno Hou 2016-04-16 11:16:26 UTC
Glibc-2.23 also leads sys-fs/eudev failed to build due toundefined reference to `major'
Comment 26 Patrick Lauer gentoo-dev 2016-04-16 14:53:35 UTC
sys-libs/glibc-2.23-r2 has been committed.
It reverts the patch causing breakage, so right now there should be no user-visible breakage left.
Comment 27 Viktar Patotski 2016-04-17 19:25:51 UTC
After emerging "sys-libs/glibc-2.23-r2" "x11-drivers/xf86-video-intel" builds like a charm. Before it was failing with: "error: implicit declaration of function ‘major’"

Thanks for fixing this!!!
Comment 28 SpanKY gentoo-dev 2016-04-18 16:38:33 UTC
(In reply to Johannes Huber from comment #24)

you clearly haven't a clue how the changes made their way through the tree, so spam your vague ignorant postings elsewhere
Comment 29 Andreas K. Hüttel gentoo-dev 2016-12-15 19:36:24 UTC
(from the RH bug no 130601)

Zack Weinberg 2016-08-03 16:19:41 EDT

Upstream glibc has reconsidered this bug.  In some future release, glibc's  <sys/types.h> will not include <sys/sysmacros.h> anymore.  As of 2.25, it still does, but you get deprecation warnings if you use the macros without including <sys/sysmacros.h>.  We have not decided exactly which future release will finally remove the #include; to help us decide, please send reports of software that trips the deprecation warnings to libc-alpha.

(We have just begun development of 2.25.  2.24, which will be released in a few days, does not change anything wrt this bug.)
Comment 30 Yukio Usuzumi 2017-08-14 07:58:51 UTC
I still run into this bug with sys-libc/glibc-2.25-r3 and dev-db/mongodb-3.4.6.
Comment 31 Yukio Usuzumi 2017-08-14 08:00:53 UTC
(In reply to Yukio Usuzumi from comment #30)
> I still run into this bug with sys-libc/glibc-2.25-r3 and
> dev-db/mongodb-3.4.6.

I'm sorry. I intended to comment in Bug #580768
Comment 32 Larry the Git Cow gentoo-dev 2017-10-21 12:47:49 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d9ba5d62a1dc1d8447b4b92f752c9162b9c9f8c

commit 7d9ba5d62a1dc1d8447b4b92f752c9162b9c9f8c
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2017-10-21 12:47:21 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2017-10-21 12:47:39 +0000

    sys-libs/glibc: Revision bump that re-adds the <sys/sysmacros.h> include, bug 575232
    
    We keep the patch in future versions though, pending some information from glibc upstream.
    
    Bug: https://bugs.gentoo.org/575232
    Package-Manager: Portage-2.3.12, Repoman-2.3.3

 sys-libs/glibc/glibc-2.25-r8.ebuild | 153 ++++++++++++++++++++++++++++++++++++
 1 file changed, 153 insertions(+)}
Comment 33 Larry the Git Cow gentoo-dev 2019-03-14 15:15:12 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3dd88b674ce2c8519c1452ea0eddd181036d84b6

commit 3dd88b674ce2c8519c1452ea0eddd181036d84b6
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2019-03-14 15:13:48 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2019-03-14 15:15:06 +0000

    sys-fs/squashfs-tools: Fix includes
    
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Bug: https://bugs.gentoo.org/show_bug.cgi?id=575232
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../files/squashfs-tools-3.2-makedev.patch         | 20 +++++++++++
 .../files/squashfs-tools-3.4-makedev.patch         | 20 +++++++++++
 .../squashfs-tools/squashfs-tools-3.2_p2-r1.ebuild | 42 ++++++++++++++++++++++
 sys-fs/squashfs-tools/squashfs-tools-3.4-r1.ebuild | 42 ++++++++++++++++++++++
 4 files changed, 124 insertions(+)